<?php

class getcategorynsids extends WC_API_Resource {

    protected $base = '/getcategorynsids';

    public function register_routes($routes) {
        # GET /getcategorynsids
        $routes[$this->base] = array(
            array(array($this, 'get_data'), WC_API_Server::READABLE | WC_API_SERVER::EDITABLE | WC_API_SERVER::ACCEPT_DATA),
        );
        return $routes;
    }

    public function get_data() {

        global $wpdb;

        $table_name_anu = $wpdb->prefix . "In8SyncTracking";
        
        $sql = "SELECT entity_id as 'woocommcategoryid', tracking_data as categorynsinternalid FROM $table_name_anu where tracking_type='category_nsid'";
        
        $returnobj = $wpdb->get_results($sql);

        echo json_encode($returnobj);

        exit;
    }

}
