<?php 

# GET /testing



class seeding_getexistingcategories extends WC_API_Resource

{

	protected $base = '/seeding_getexistingcategories';
	  

    public function register_routes( $routes ) 

    {
        $routes[ $this->base ] = array(

            array( array( $this, 'get' ), WC_API_Server::READABLE | WC_API_Server::EDITABLE | WC_API_Server::ACCEPT_DATA  )

        );
        return $routes;
    }

    public function get()

    {

        try 

        {
		//$id = $_REQUEST["id"];
		$id = 2166;
		//$nscatiid = json_decode(base64_decode($_REQUEST["internalid"]), true);	
        //$nscatiid = '112,113';
		$nscatiid[0]= "-213";
		$nscatiid[1]= "157";
		//return array("cats" => $nscatiid); 
	   
		global $wpdb;
		
		$taxonomy  = 'product_cat';
		$args = array(
			'taxonomy'     => $taxonomy,
			'hide_empty' => false, // also retrieve terms which are not used yet
			'fields' => 'ids'
		);						
			$cats = get_terms( $taxonomy, $args );
			//return array("cats" => $cats); 
			//construct an array that has the term id and internal id. match up the internal from the NS json and get term id for each.
			
			   $i=0;
				  foreach ($cats as $cat) {
					$t_id = $cat;//->term_id;
					$int_id = get_term_meta( $t_id, 'internalid', true);

					   if ( !empty( $int_id ) ) {
							if ( in_array($int_id, $nscatiid) ) {
								//echo "Matched ".$int_id."\n";
								$outputlist[$i++] = intval($t_id,10);
							}
					   }
				  }  

			wp_set_object_terms( $id, $outputlist, 'product_cat', true); //product id, wordpress cat IDs (array) 
			
			//return array("cats for product" => $outputlist); 
			//$test = get_term_meta( 64, 'internalid', true);
			//echo $test;
			return $outputlist;
        } 
		
        catch ( WC_API_Exception $e ) 
        {
			return new WP_Error( $e->getErrorCode(), $e->getMessage(), array( 'status' => $e->getCode() ) );
		}
    }
}
