<?php

class uploadimage extends WC_API_Resource {

    protected $base = '/uploadimage';

    public function register_routes($routes) {



        $routes[$this->base] = [



            [

                [ $this, 'get_uploadimage'],
                WC_API_Server::READABLE | WC_API_SERVER::EDITABLE | WC_API_SERVER::ACCEPT_DATA
            ],
        ];



        return $routes;
    }

    public function get_uploadimage() {



        global $wpdb;





        $image_url = $_GET["image_url"];

        $image_name = $_GET["image_name"];

        $category_id = $_GET["category_id"];



        $attach_id = $this->media_sideload_image($image_url, $image_name, $category_id);



        $returnobj = new stdClass();



        $returnobj->imageid = $attach_id;

        $returnobj->test = $_REQUEST;



        echo json_encode($returnobj);

        exit;
    }

    public function media_sideload_image($image_url, $image_name, $post_id, $desc = NULL) {



        $id = 0;



        if (!empty($image_url)) {



            // Set variables for storage, fix file filename for query strings.
            // preg_match('/[^\?]+\.(jpe?g|jpe|gif|png)\b/i', $image_url, $matches);



            $file_array = [];

            $file_array['name'] = $image_name; //basename($matches[0]);
            // Download file to temp location.

            $file_array['tmp_name'] = download_url($image_url);





            // If error storing temporarily, return the error.

            if (is_wp_error($file_array['tmp_name'])) {

                return $file_array['tmp_name'];
            }



            // Do the validation and storage stuff.

            $id = media_handle_sideload($file_array, $post_id, $desc);



            // If error storing permanently, unlink.

            if (is_wp_error($id)) {

                @unlink($file_array['tmp_name']);

                return $id;
            }



            $src = wp_get_attachment_url($id);
        }



        return $id;
    }

}
