<?php

    class IN8_endpoints {

        public function __construct() {

            // so that we can extend the orders endpoint class
            add_action('woocommerce_api_loaded', array($this, 'loadEndpoints'));
            
        }

        

        //load endpoints
        public function loadEndpoints() {
            //endpoints
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_categories.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_insertorupdatecategory.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_insertorupdatecategorytranslation.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_getcategorynsids.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_uploadimage.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_assign_product_images.php';


            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_custom_post_meta.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_translation_post.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_tags.php';

            //require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_process_qa.php';

            // seeding methods
            //require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_seeding_getexistingcategories.php';

            // filter the array of default api classes
            add_filter('woocommerce_api_classes', array($this, 'register'));
        }

        //register endpoints
        public function register($api_classes = array()) {
            array_push($api_classes, 'insertorupdatecategory');
            array_push($api_classes, 'assign_product_images');
            array_push($api_classes, 'insertorupdatecategorytranslation');
            array_push($api_classes, 'getcategorynsids');
            array_push($api_classes, 'in8cats');
            array_push($api_classes, 'uploadimage');

            array_push($api_classes, 'custom_post_meta');
            array_push($api_classes, 'translation_post');
            array_push($api_classes, 'in8_product_tags');
            // seeding methods
            //array_push($api_classes, 'seeding_getexistingcategories');

            return $api_classes;
        }

    }

    new IN8_endpoints();


    